petsc-3.7.7 2017-09-25
Report Typos and Errors

# PC

Abstract PETSc object that manages all preconditioners including direct solvers such as PCLU

### Synopsis

    typedef struct _p_PC* PC;

### See Also

PCCreate(), PCSetType(), PCType (for list of available types)

Level:beginner
Location:src/ksp/pc/../../../include/petscpctypes.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex12.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex64.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex21f.F.html
src/ksp/ksp/examples/tutorials/ex61f.F90.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex70.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html